Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPaintEngine.PaintEngineFeature

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPaintEngine.PaintEngineFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPaintEngine

    public static final class QPaintEngine.PaintEngineFeature

extends java.lang.Enum
implements QtEnumerator

This enum is used to describe the features or capabilities that the paint engine has. If a feature is not supported by the engine, `QPainter` will do a best effort to emulate that feature through other means and pass on an alpha blended `QImage` to the engine with the emulated results. Some features cannot be emulated: `AlphaBlend` and `PorterDuff` .

See Also:
  Serialized Form

Field Summary
`static QPaintEngine.PaintEngineFeature` | `AllFeatures` All of the above features.
`static QPaintEngine.PaintEngineFeature` | `AlphaBlend` The engine can alpha blend primitives.
`static QPaintEngine.PaintEngineFeature` | `Antialiasing` The engine can use antialising to improve the appearance of rendered primitives.
`static QPaintEngine.PaintEngineFeature` | `BlendModes` The engine supports blending modes.
`static QPaintEngine.PaintEngineFeature` | `BrushStroke` The engine supports drawing strokes that contain brushes as fills, not just solid colors (e.g.
`static QPaintEngine.PaintEngineFeature` | `ConicalGradientFill` The engine supports conical gradient fills.
`static QPaintEngine.PaintEngineFeature` | `ConstantOpacity` The engine supports the feature provided by `QPainter::setOpacity()`.
`static QPaintEngine.PaintEngineFeature` | `LinearGradientFill` The engine supports linear gradient fills.
`static QPaintEngine.PaintEngineFeature` | `MaskedBrush` The engine is capable of rendering brushes that has a texture with an alpha channel or a mask.
`static QPaintEngine.PaintEngineFeature` | `ObjectBoundingModeGradients` The engine has native support for gradients with coordinate mode `QGradient::ObjectBoundingMode` .
`static QPaintEngine.PaintEngineFeature` | `PainterPaths` The engine has path support.
`static QPaintEngine.PaintEngineFeature` | `PaintOutsidePaintEvent` The engine is capable of painting outside of paint events.
`static QPaintEngine.PaintEngineFeature` | `PatternBrush` The engine is capable of rendering brushes with the brush patterns specified in `Qt::BrushStyle` .
`static QPaintEngine.PaintEngineFeature` | `PatternTransform` The engine has support for transforming brush patterns.
`static QPaintEngine.PaintEngineFeature` | `PerspectiveTransform` The engine has support for performing perspective transformations on primitives.
`static QPaintEngine.PaintEngineFeature` | `PixmapTransform` The engine can transform pixmaps, including rotation and shearing.
`static QPaintEngine.PaintEngineFeature` | `PorterDuff` The engine supports Porter-Duff operations
`static QPaintEngine.PaintEngineFeature` | `PrimitiveTransform` The engine has support for transforming drawing primitives.
`static QPaintEngine.PaintEngineFeature` | `RadialGradientFill` The engine supports radial gradient fills.

Method Summary
`static QPaintEngine.PaintEngineFeatures` | `createQFlags(QPaintEngine.PaintEngineFeature[] values)` This function creates a com.trolltech.qt.gui.QPaintEngine$PaintEngineFeatures with the specified `com.trolltech.qt.gui.QPaintEngine$PaintEngineFeature[]` QPaintEngine$PaintEngineFeature values set.
`static QPaintEngine.PaintEngineFeature` | `resolve(int value)` Returns the QPaintEngine$PaintEngineFeature constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPaintEngine.PaintEngineFeature` | `valueOf(java.lang.String name)`
`static QPaintEngine.PaintEngineFeature[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PrimitiveTransform

    public static final QPaintEngine.PaintEngineFeature PrimitiveTransform

  The engine has support for transforming drawing primitives.

### PatternTransform

    public static final QPaintEngine.PaintEngineFeature PatternTransform

  The engine has support for transforming brush patterns.

### PixmapTransform

    public static final QPaintEngine.PaintEngineFeature PixmapTransform

  The engine can transform pixmaps, including rotation and shearing.

### PatternBrush

    public static final QPaintEngine.PaintEngineFeature PatternBrush

  The engine is capable of rendering brushes with the brush patterns specified in `Qt::BrushStyle` .

### LinearGradientFill

    public static final QPaintEngine.PaintEngineFeature LinearGradientFill

  The engine supports linear gradient fills.

### RadialGradientFill

    public static final QPaintEngine.PaintEngineFeature RadialGradientFill

  The engine supports radial gradient fills.

### ConicalGradientFill

    public static final QPaintEngine.PaintEngineFeature ConicalGradientFill

  The engine supports conical gradient fills.

### AlphaBlend

    public static final QPaintEngine.PaintEngineFeature AlphaBlend

  The engine can alpha blend primitives.

### PorterDuff

    public static final QPaintEngine.PaintEngineFeature PorterDuff

  The engine supports Porter-Duff operations

### PainterPaths

    public static final QPaintEngine.PaintEngineFeature PainterPaths

  The engine has path support.

### Antialiasing

    public static final QPaintEngine.PaintEngineFeature Antialiasing

  The engine can use antialising to improve the appearance of rendered primitives.

### BrushStroke

    public static final QPaintEngine.PaintEngineFeature BrushStroke

  The engine supports drawing strokes that contain brushes as fills, not just solid colors (e.g. a dashed gradient line of width 2).

### ConstantOpacity

    public static final QPaintEngine.PaintEngineFeature ConstantOpacity

  The engine supports the feature provided by `QPainter::setOpacity()`.

### MaskedBrush

    public static final QPaintEngine.PaintEngineFeature MaskedBrush

  The engine is capable of rendering brushes that has a texture with an alpha channel or a mask.

### PerspectiveTransform

    public static final QPaintEngine.PaintEngineFeature PerspectiveTransform

  The engine has support for performing perspective transformations on primitives.

### BlendModes

    public static final QPaintEngine.PaintEngineFeature BlendModes

  The engine supports blending modes.

### ObjectBoundingModeGradients

    public static final QPaintEngine.PaintEngineFeature ObjectBoundingModeGradients

  The engine has native support for gradients with coordinate mode `QGradient::ObjectBoundingMode` . Otherwise, if `QPaintEngine::PatternTransform` is supported, object bounding mode gradients are converted to gradients with coordinate mode `QGradient::LogicalMode` and a brush transform for the coordinate mapping.

### PaintOutsidePaintEvent

    public static final QPaintEngine.PaintEngineFeature PaintOutsidePaintEvent

  The engine is capable of painting outside of paint events.

### AllFeatures

    public static final QPaintEngine.PaintEngineFeature AllFeatures

  All of the above features. This enum value is usually used as a bit mask.

Method Detail

### values

    public static QPaintEngine.PaintEngineFeature[] values()

### valueOf

    public static QPaintEngine.PaintEngineFeature valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QPaintEngine.PaintEngineFeatures createQFlags(QPaintEngine.PaintEngineFeature[] values)

  This function creates a com.trolltech.qt.gui.QPaintEngine$PaintEngineFeatures with the specified `com.trolltech.qt.gui.QPaintEngine$PaintEngineFeature[]` QPaintEngine$PaintEngineFeature values set.

### resolve

    public static QPaintEngine.PaintEngineFeature resolve(int value)

  Returns the QPaintEngine$PaintEngineFeature constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD